Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.webkit
Class QWebPage.WebAction

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.webkit.QWebPage.WebAction

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QWebPage

    public static final class QWebPage.WebAction

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QWebPage.WebAction` | `Back` Navigate back in the history of navigated links.
`static QWebPage.WebAction` | `Copy`
`static QWebPage.WebAction` | `CopyImageToClipboard` Copy the highlighted image to the clipboard.
`static QWebPage.WebAction` | `CopyLinkToClipboard` Copy the current link to the clipboard.
`static QWebPage.WebAction` | `Cut` Cut the content currently selected into the clipboard.
`static QWebPage.WebAction` | `DeleteEndOfWord` Delete to the end of the word.
`static QWebPage.WebAction` | `DeleteStartOfWord` Delete to the start of the word.
`static QWebPage.WebAction` | `DownloadImageToDisk` Download the highlighted image to the disk.
`static QWebPage.WebAction` | `DownloadLinkToDisk` Download the current link to the disk.
`static QWebPage.WebAction` | `Forward` Navigate forward in the history of navigated links.
`static QWebPage.WebAction` | `InspectElement` Show the Web Inspector with the currently highlighted HTML element.
`static QWebPage.WebAction` | `MoveToEndOfBlock` Move the cursor to the end of the block.
`static QWebPage.WebAction` | `MoveToEndOfDocument` Move the cursor to the end of the document.
`static QWebPage.WebAction` | `MoveToEndOfLine` Move the cursor to the end of the line.
`static QWebPage.WebAction` | `MoveToNextChar` Move the cursor to the next character.
`static QWebPage.WebAction` | `MoveToNextLine` Move the cursor to the next line.
`static QWebPage.WebAction` | `MoveToNextWord` Move the cursor to the next word.
`static QWebPage.WebAction` | `MoveToPreviousChar` Move the cursor to the previous character.
`static QWebPage.WebAction` | `MoveToPreviousLine` Move the cursor to the previous line.
`static QWebPage.WebAction` | `MoveToPreviousWord` Move the cursor to the previous word.
`static QWebPage.WebAction` | `MoveToStartOfBlock` Move the cursor to the start of the block.
`static QWebPage.WebAction` | `MoveToStartOfDocument` Move the cursor to the start of the document.
`static QWebPage.WebAction` | `MoveToStartOfLine` Move the cursor to the start of the line.
`static QWebPage.WebAction` | `NoWebAction` No action is triggered.
`static QWebPage.WebAction` | `OpenFrameInNewWindow` Replicate the current frame in a new window.
`static QWebPage.WebAction` | `OpenImageInNewWindow` Open the highlighted image in a new window.
`static QWebPage.WebAction` | `OpenLink` Open the current link.
`static QWebPage.WebAction` | `OpenLinkInNewWindow` Open the current link in a new window.
`static QWebPage.WebAction` | `Paste` Paste content from the clipboard.
`static QWebPage.WebAction` | `Redo` Redo the last editing action.
`static QWebPage.WebAction` | `Reload` Reload the current page.
`static QWebPage.WebAction` | `SelectEndOfBlock` Select to the end of the block.
`static QWebPage.WebAction` | `SelectEndOfDocument` Select to the end of the document.
`static QWebPage.WebAction` | `SelectEndOfLine` Select to the end of the line.
`static QWebPage.WebAction` | `SelectNextChar` Select to the next character.
`static QWebPage.WebAction` | `SelectNextLine` Select to the next line.
`static QWebPage.WebAction` | `SelectNextWord` Select to the next word.
`static QWebPage.WebAction` | `SelectPreviousChar` Select to the previous character.
`static QWebPage.WebAction` | `SelectPreviousLine` Select to the previous line.
`static QWebPage.WebAction` | `SelectPreviousWord` Select to the previous word.
`static QWebPage.WebAction` | `SelectStartOfBlock` Select to the start of the block.
`static QWebPage.WebAction` | `SelectStartOfDocument` Select to the start of the document.
`static QWebPage.WebAction` | `SelectStartOfLine` Select to the start of the line.
`static QWebPage.WebAction` | `SetTextDirectionDefault` Set the text direction to the default direction.
`static QWebPage.WebAction` | `SetTextDirectionLeftToRight` Set the text direction to left-to-right.
`static QWebPage.WebAction` | `SetTextDirectionRightToLeft` Set the text direction to right-to-left.
`static QWebPage.WebAction` | `Stop` Stop loading the current page.
`static QWebPage.WebAction` | `ToggleBold` Toggle the formatting between bold and normal weight.
`static QWebPage.WebAction` | `ToggleItalic` Toggle the formatting between italic and normal style.
`static QWebPage.WebAction` | `ToggleUnderline` Toggle underlining.
`static QWebPage.WebAction` | `Undo` Undo the last editing action.
`static QWebPage.WebAction` | `WebActionCount`

Method Summary
`static QWebPage.WebAction` | `resolve(int value)` Returns the QWebPage$WebAction constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QWebPage.WebAction` | `valueOf(java.lang.String name)`
`static QWebPage.WebAction[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoWebAction

    public static final QWebPage.WebAction NoWebAction

  No action is triggered.

### OpenLink

    public static final QWebPage.WebAction OpenLink

  Open the current link.

### OpenLinkInNewWindow

    public static final QWebPage.WebAction OpenLinkInNewWindow

  Open the current link in a new window.

### OpenFrameInNewWindow

    public static final QWebPage.WebAction OpenFrameInNewWindow

  Replicate the current frame in a new window.

### DownloadLinkToDisk

    public static final QWebPage.WebAction DownloadLinkToDisk

  Download the current link to the disk.

### CopyLinkToClipboard

    public static final QWebPage.WebAction CopyLinkToClipboard

  Copy the current link to the clipboard.

### OpenImageInNewWindow

    public static final QWebPage.WebAction OpenImageInNewWindow

  Open the highlighted image in a new window.

### DownloadImageToDisk

    public static final QWebPage.WebAction DownloadImageToDisk

  Download the highlighted image to the disk.

### CopyImageToClipboard

    public static final QWebPage.WebAction CopyImageToClipboard

  Copy the highlighted image to the clipboard.

### Back

    public static final QWebPage.WebAction Back

  Navigate back in the history of navigated links.

### Forward

    public static final QWebPage.WebAction Forward

  Navigate forward in the history of navigated links.

### Stop

    public static final QWebPage.WebAction Stop

  Stop loading the current page.

### Reload

    public static final QWebPage.WebAction Reload

  Reload the current page.

### Cut

    public static final QWebPage.WebAction Cut

  Cut the content currently selected into the clipboard.

### Copy

    public static final QWebPage.WebAction Copy

### Paste

    public static final QWebPage.WebAction Paste

  Paste content from the clipboard.

### Undo

    public static final QWebPage.WebAction Undo

  Undo the last editing action.

### Redo

    public static final QWebPage.WebAction Redo

  Redo the last editing action.

### MoveToNextChar

    public static final QWebPage.WebAction MoveToNextChar

  Move the cursor to the next character.

### MoveToPreviousChar

    public static final QWebPage.WebAction MoveToPreviousChar

  Move the cursor to the previous character.

### MoveToNextWord

    public static final QWebPage.WebAction MoveToNextWord

  Move the cursor to the next word.

### MoveToPreviousWord

    public static final QWebPage.WebAction MoveToPreviousWord

  Move the cursor to the previous word.

### MoveToNextLine

    public static final QWebPage.WebAction MoveToNextLine

  Move the cursor to the next line.

### MoveToPreviousLine

    public static final QWebPage.WebAction MoveToPreviousLine

  Move the cursor to the previous line.

### MoveToStartOfLine

    public static final QWebPage.WebAction MoveToStartOfLine

  Move the cursor to the start of the line.

### MoveToEndOfLine

    public static final QWebPage.WebAction MoveToEndOfLine

  Move the cursor to the end of the line.

### MoveToStartOfBlock

    public static final QWebPage.WebAction MoveToStartOfBlock

  Move the cursor to the start of the block.

### MoveToEndOfBlock

    public static final QWebPage.WebAction MoveToEndOfBlock

  Move the cursor to the end of the block.

### MoveToStartOfDocument

    public static final QWebPage.WebAction MoveToStartOfDocument

  Move the cursor to the start of the document.

### MoveToEndOfDocument

    public static final QWebPage.WebAction MoveToEndOfDocument

  Move the cursor to the end of the document.

### SelectNextChar

    public static final QWebPage.WebAction SelectNextChar

  Select to the next character.

### SelectPreviousChar

    public static final QWebPage.WebAction SelectPreviousChar

  Select to the previous character.

### SelectNextWord

    public static final QWebPage.WebAction SelectNextWord

  Select to the next word.

### SelectPreviousWord

    public static final QWebPage.WebAction SelectPreviousWord

  Select to the previous word.

### SelectNextLine

    public static final QWebPage.WebAction SelectNextLine

  Select to the next line.

### SelectPreviousLine

    public static final QWebPage.WebAction SelectPreviousLine

  Select to the previous line.

### SelectStartOfLine

    public static final QWebPage.WebAction SelectStartOfLine

  Select to the start of the line.

### SelectEndOfLine

    public static final QWebPage.WebAction SelectEndOfLine

  Select to the end of the line.

### SelectStartOfBlock

    public static final QWebPage.WebAction SelectStartOfBlock

  Select to the start of the block.

### SelectEndOfBlock

    public static final QWebPage.WebAction SelectEndOfBlock

  Select to the end of the block.

### SelectStartOfDocument

    public static final QWebPage.WebAction SelectStartOfDocument

  Select to the start of the document.

### SelectEndOfDocument

    public static final QWebPage.WebAction SelectEndOfDocument

  Select to the end of the document.

### DeleteStartOfWord

    public static final QWebPage.WebAction DeleteStartOfWord

  Delete to the start of the word.

### DeleteEndOfWord

    public static final QWebPage.WebAction DeleteEndOfWord

  Delete to the end of the word.

### SetTextDirectionDefault

    public static final QWebPage.WebAction SetTextDirectionDefault

  Set the text direction to the default direction.

### SetTextDirectionLeftToRight

    public static final QWebPage.WebAction SetTextDirectionLeftToRight

  Set the text direction to left-to-right.

### SetTextDirectionRightToLeft

    public static final QWebPage.WebAction SetTextDirectionRightToLeft

  Set the text direction to right-to-left.

### ToggleBold

    public static final QWebPage.WebAction ToggleBold

  Toggle the formatting between bold and normal weight.

### ToggleItalic

    public static final QWebPage.WebAction ToggleItalic

  Toggle the formatting between italic and normal style.

### ToggleUnderline

    public static final QWebPage.WebAction ToggleUnderline

  Toggle underlining.

### InspectElement

    public static final QWebPage.WebAction InspectElement

  Show the Web Inspector with the currently highlighted HTML element.

### WebActionCount

    public static final QWebPage.WebAction WebActionCount

Method Detail

### values

    public static QWebPage.WebAction[] values()

### valueOf

    public static QWebPage.WebAction valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QWebPage.WebAction resolve(int value)

  Returns the QWebPage$WebAction constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD